{% extends 'layout.html' %}

{% block title %}
ARPA MPC Demo
{% endblock %}

{% block head %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>

<script>
    $(document).ready(function () {
        (function worker() {
            $.ajax({
                dataType: "json",
                url: "/check_result",
                data: { request_id: "{{ request_id }}" },
                success: function (data) {
                    if (data["result"]) {
                        $('#title').text('The MPC program finished successfully!');
                        for (const [key, value] of Object.entries(data["result"])) {
                            $('#result-' + key).text(value);
                        }
                        removeProgess();
                        $.ajax({
                            dataType: "json",
                            url: "/delete_instance",
                            data: { request_id: "{{ request_id }}" },
                            success: function (data) { }
                        });
                    } else {
                        setTimeout(worker, 5000);
                    }
                },
                error: function (XMLHttpRequest, textStatus, error) {
                    document.getElementById("result").innerHTML = "Sorry, there is an error occurred. See the details below: \n" + error
                }
            });
        })();
    });
</script>
{% endblock %}

{% block body %}
<div id="container" class="container">
    <div class="card board-0 animated slideInUp" style="margin-top:15px;">
        <div class="card card-header align-items-center">
            <h2 id="title">The MPC program has started</h2>
        </div>
    </div>

    <div class="card z-depth-0 animated slideInUp" style="margin-top:15px;">
        <div class="card card-header" id="headingOne">
            final result
        </div>
        <div class="card card-body">
            <div id="summary">
                <p id="result-test_output" class="collapse" style="white-space: pre-wrap; word-wrap: break-word;">Please wait while we process your request...</p>
                <a class="collapsed" data-toggle="collapse" href="#result-test_output" aria-expanded="false"
                    aria-controls="result-test_output"></a>
            </div>
        </div>
    </div>


    <div class="row align-items-start">
        <div class="col-md-4">
            <div class="card animated zoomIn" style="margin-top:15px;">

                <div class="card card-header" style="display: inline;">
                    <i class="fa fa-server" aria-hidden="true"> Node 0</i>
                    <div id="progressGreenPointAnim1" class="ball-pulse float-right">
                        <div class="green"></div>
                    </div>
                </div>
                <div class="card card-body align-items-center">
                    <div id="progressAnim1" class="ball-grid-pulse">
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                    </div>
                    <div class="container bg-dark" style="margin-top: 15px; ">
                        <pre id="result-0" style="color: rgb(0, 252, 0);white-space: pre-wrap; word-wrap: break-word;">Processing...</pre>
                    </div>


                </div>
            </div>
        </div>


        <div class="col-md-4">
            <div class="card animated zoomIn" style="margin-top:15px;">
                <div class="card card-header" style="display: inline;">
                    <i class="fa fa-server" aria-hidden="true"> Node 1</i>
                    <div id="progressGreenPointAnim2" class="ball-pulse float-right">
                        <div class="green"></div>
                    </div>
                </div>
                <div class="card card-body align-items-center">
                    <div id="progressAnim2" class="ball-grid-pulse">
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                    </div>
                    <div class="container bg-dark" style="margin-top: 15px; ">
                        <pre id="result-1" style="color: rgb(0, 252, 0);white-space: pre-wrap; word-wrap: break-word;">Processing...</pre>
                    </div>

                </div>
            </div>
        </div>


        <div class="col-md-4">
            <div class="card animated zoomIn" style="margin-top:15px;">

                <div class="card card-header" style="display: inline;">
                    <i class="fa fa-server" aria-hidden="true"> Node 2</i>
                    <div id="progressGreenPointAnim3" class="ball-pulse float-right">
                        <div class="green"></div>
                    </div>
                </div>
                <div class="card card-body align-items-center">
                    <div id="progressAnim3" class="ball-grid-pulse">
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                        <div class="bg-dark"></div>
                    </div>
                    <div class="container bg-dark" style="margin-top: 15px; ">
                        <pre id="result-2" style="color: rgb(0, 252, 0);white-space: pre-wrap; word-wrap: break-word;">Processing...</pre>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function removeProgess() {
        $('#progressAnim1').removeClass();
        $('#progressAnim2').removeClass();
        $('#progressAnim3').removeClass();
        $('#progressGreenPointAnim1').removeClass();
        $('#progressGreenPointAnim2').removeClass();
        $('#progressGreenPointAnim3').removeClass();
    };
</script>

{% endblock %}
